Bug 219665 (CVE-2006-6107) - CVE-2006-6107 D-Bus denial of service
Summary: CVE-2006-6107 D-Bus denial of service
Status: CLOSED CURRENTRELEASE
Alias: CVE-2006-6107
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard: source=redhat,reported=20061127,impac...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-14 18:11 UTC by Josh Bressers
Modified: 2018-08-15 22:44 UTC (History)
4 users (show)

Fixed In Version: 1.0.1-7.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 14:47:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-12-14 18:11:33 UTC
+++ This bug was initially created as a clone of Bug #218055 +++

Kimmo Hämäläinen reported a DoS flaw in D-Bus to the freedesktop.org
bugzilla.  To quote his bug:

        I found a nasty bug from match_rule_equal() that can cause matches
        to be removed from another connections (thanks goes to other guys
        for finding reproducable use case for the bug).

This flaw can cause a local user to disable the the ability of another
process to receive certain messages.  This flaw does not contain any
potential for arbitrary code execution.  Here is a more details description
from Kimmo:

        We don't have the software public yet, but the use case was the
        following.  There are three processes A, B, and C. All of them add
        the same match (same value). A is started first, then B, and lastly
        C. Now, B and C are closed: if B is closed before C, A's match is
        removed; but if C is closed before B, A's match is not removed (no
        buggy behaviour). (B and C call dbus_bus_remove_match on exit.)

Comment 1 David Zeuthen 2006-12-15 20:31:21 UTC
Will schedule package update

* Fri Dec 15 2006 David Zeuthen <davidz@redhat.com> - 1.0.1-7%{?dist}
- CVE-2006-6107: D-Bus denial of service
- Resolves: #219665


Comment 2 Lubomir Kundrak 2007-08-02 12:09:20 UTC
David: Probably the issue is fixed in dbus-1.0.1-12.fc6, right? Is there any
reason for not closing this bug?


Note You need to log in before you can comment on or make changes to this bug.